SDL_static_cast(3)

NAME
SDL_static_cast - Handle a Static Cast properly whether using C or C++.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_static_cast(type, expression) static_cast<type>(expression)  /* or `((type)(expression))` in C */

DESCRIPTION
If compiled as C++, this macro offers a proper C++ static_cast<>.

If compiled as C, this macro does a normal C-style cast.

This is helpful to avoid compiler warnings in C++.

RETURN VALUE
Returns expression , cast to type .

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_reinterpret_cast(3), •(3), SDL_const_cast(3)